- Qt 5.15
- Qt 3D
- C++ Classes
- QInputChord
- Qt 5.15.19 Reference Documentation

# QInputChord Class

class Qt3DInput::QInputChord

QInputChord represents a set of QAbstractActionInput's that must be triggerd at once. More...

Header: | #include <QInputChord>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | InputChord
Inherits: | Qt3DInput::QAbstractActionInput

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- timeout : int

## Public Functions

| QInputChord(Qt3DCore::QNode *parent = nullptr)
void | addChord(QAbstractActionInput *input)
QVector<QAbstractActionInput *> | chords() const
void | removeChord(QAbstractActionInput *input)
int | timeout() const

## Public Slots

void | setTimeout(int timeout)

## Signals

void | timeoutChanged(int timeout)

## Detailed Description

## Property Documentation

### timeout : int

The time in which all QAbstractActionInput's in the input chord must triggered within. The time is in milliseconds.

Access functions:

int | timeout() const
void | setTimeout(int timeout)

Notifier signal:

void | timeoutChanged(int timeout)

## Member Function Documentation

### QInputChord::QInputChord(Qt3DCore::QNode *parent = nullptr)

Constructs a new QInputChord with parent parent.

### `[slot]` void QInputChord::setTimeout(int timeout)

Sets the time in which all QAbstractActionInput's in the input chord must triggered within to timeout. The time is in milliseconds

Note: Setter function for property timeout.

See also timeout().

### void QInputChord::addChord(QAbstractActionInput *input)

Append the QAbstractActionInput input to the end of this QInputChord's chord vector.

See also removeChord.

### QVector<QAbstractActionInput *> QInputChord::chords() const

Returns the QInputChord's chord vector.

### void QInputChord::removeChord(QAbstractActionInput *input)

Remove the QAbstractActionInput input from this QInputChord's chord vector.

See also addChord.